libsyncml 0.5.4

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
SmlDsSession Struct Reference
SyncML Datastore Server Object Internals
Collaboration diagram for SmlDsSession:

## Data Fields

gint | refCount
SmlDsServer * | server
SmlSession * | session
SmlLocation * | target
SmlLocation * | location
SmlDsSessionAlertCb | recvAlertCallback
void * | recvAlertCallbackUserdata
SmlCommand * | alertCommand
SmlStatusReplyCb | sentAlertCallback
void * | sentAlertCallbackUserdata
SmlDsSessionSyncCb | recvSyncCallback
void * | recvSyncCallbackUserdata
SmlDsSessionChangesCb | changesCallback
void * | changesCallbackUserdata
GList * | recvSync
GList * | recvChanges
SmlErrorType | syncReply
SmlBool | finalLock
SmlBool | emptySync
SmlStatusReplyCb | sentSyncCallback
void * | sentSyncCallbackUserdata
SmlDsSessionEventCb | recvEventCallback
void * | recvEventCallbackUserdata
SmlCommand * | syncCommand
GList * | pendingMaps
GMutex * | pendingMapsLock
GList * | mapItems
SmlDsSessionMapCb | recvMappingCallback
void * | recvMappingCallbackUserdata
GMutex * | write_lock
GMutex * | lock

## Detailed Description

Definition at line 45 of file sml_ds_server_internals.h.

## Field Documentation

SmlDsSessionAlertCb SmlDsSession::recvAlertCallback

Callback that will receive the alert once it is received

Definition at line 55 of file sml_ds_server_internals.h.

Referenced by smlDsSessionGetAlert().

SmlStatusReplyCb SmlDsSession::sentAlertCallback

Callback that will receive the reply to the alert

Definition at line 60 of file sml_ds_server_internals.h.

Referenced by smlDsSessionSendAlert().

SmlDsSessionSyncCb SmlDsSession::recvSyncCallback

Callback that will receive the sync command

Definition at line 64 of file sml_ds_server_internals.h.

GList* SmlDsSession::recvSync

List of received sync commands. We need a list here since sync commands might get split due to size limitations and the answer to a sync command might arrive after several sync commands have been received

Definition at line 72 of file sml_ds_server_internals.h.

SmlStatusReplyCb SmlDsSession::sentSyncCallback

Callback that will receive the reply to the sync command

Definition at line 79 of file sml_ds_server_internals.h.

Referenced by smlDsSessionSendSync().

SmlDsSessionEventCb SmlDsSession::recvEventCallback

Callback that will information about the Ds Session events

Definition at line 83 of file sml_ds_server_internals.h.

SmlCommand* SmlDsSession::syncCommand

The temporary storage for the sync command to send

Definition at line 87 of file sml_ds_server_internals.h.

Referenced by smlDsSessionCloseSync(), and smlDsSessionSendSync().

SmlDsSessionMapCb SmlDsSession::recvMappingCallback

Callback that signals mappings

Definition at line 94 of file sml_ds_server_internals.h.

The documentation for this struct was generated from the following file:

- /build/buildd/libsyncml-0.5.4/libsyncml/objects/sml_ds_server_internals.h